Package org.apache.lucene.store

# Enum Class IOContext.Context

java.lang.Object
java.lang.Enum<IOContext.Context>
org.apache.lucene.store.IOContext.Context

All Implemented Interfaces:
  `Serializable`, `Comparable<IOContext.Context>`, `Constable`

Enclosing class:
  `IOContext`

public static enum IOContext.Context extends Enum<IOContext.Context>
Context is a enumerator which specifies the context in which the Directory is being used for.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Default context, can be used for reading or writing.
`FLUSH`
Context for writes that are associated with a segment flush.
`MERGE`
Context for reads and writes that are associated with a merge.

## Method Summary

Modifier and Type
Method
Description
`static IOContext.Context`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IOContext.Context[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MERGE

public static final IOContext.Context MERGE
Context for reads and writes that are associated with a merge.

### FLUSH

public static final IOContext.Context FLUSH
Context for writes that are associated with a segment flush.

### DEFAULT

public static final IOContext.Context DEFAULT
Default context, can be used for reading or writing.

## Method Details

### values

public static IOContext.Context[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IOContext.Context valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null